V2Form (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class V2Form

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.V2Form

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class V2Form
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `V2Form(GeneralNames issuerName)`
    `V2Form(GeneralNames issuerName, IssuerSerial baseCertificateID)`
    `V2Form(GeneralNames issuerName, IssuerSerial baseCertificateID, ObjectDigestInfo objectDigestInfo)`
    `V2Form(GeneralNames issuerName, ObjectDigestInfo objectDigestInfo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IssuerSerial` | `getBaseCertificateID()`
    `static V2Form` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static V2Form` | `getInstance(java.lang.Object obj)`
    `GeneralNames` | `getIssuerName()`
    `ObjectDigestInfo` | `getObjectDigestInfo()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### V2Form

          public V2Form(GeneralNames issuerName)

    - #### V2Form

          public V2Form(GeneralNames issuerName,
                        IssuerSerial baseCertificateID)

    - #### V2Form

          public V2Form(GeneralNames issuerName,
                        ObjectDigestInfo objectDigestInfo)

    - #### V2Form

          public V2Form(GeneralNames issuerName,
                        IssuerSerial baseCertificateID,
                        ObjectDigestInfo objectDigestInfo)

  - ### Method Detail

    - #### getInstance

          public static V2Form getInstance(ASN1TaggedObject obj,
                                           boolean explicit)

    - #### getInstance

          public static V2Form getInstance(java.lang.Object obj)

    - #### getIssuerName

          public GeneralNames getIssuerName()

    - #### getBaseCertificateID

          public IssuerSerial getBaseCertificateID()

    - #### getObjectDigestInfo

          public ObjectDigestInfo getObjectDigestInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

            V2Form ::= SEQUENCE {
                 issuerName            GeneralNames  OPTIONAL,
                 baseCertificateID     [0] IssuerSerial  OPTIONAL,
                 objectDigestInfo      [1] ObjectDigestInfo  OPTIONAL
                   -- issuerName MUST be present in this profile
                   -- baseCertificateID and objectDigestInfo MUST NOT
                   -- be present in this profile
            }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.